# NPCD.cfg - sample configuration file for PNPs NPCD
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as 
# published by the Free Software Foundation;
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# Privilege Options

user = @nagios_user@
group = @nagios_grp@

#########################
#			#
# Logging Options	#
#			#
#########################

# log_type - define if you want your logs to 
# 'syslog' or to a 'file'
#
# log_type = <value>
#

#log_type = file
log_type = syslog


# log_file - define a path to your logfile
# needed if 'log_type'='file'
#
# log_file = </path/to/logpath/filename>
#

log_file = @localstatedir@/npcd.log


# max_logfile_size - defines the maximum filesize (bytes)
# before the logfile will rotated.
#
# max_logfile_size = <value> (default 10Mbyte)
#

max_logfile_size = 10485760


# log_level - how much should we log?
#
# log_level = <integer value>
#
#  0 = No logging - except errors
#  1 = Small logging - some few more output
#  2 = More Logging (actual ALL logs)
# -1 = DEBUG Mode - ALL Logging and slower processing
#

log_level = 0

#########################
#			#
# NEEDED OPTIONS	#
#			#
#########################

# perfdata_spool_dir - where we can find the 
# performance data files
#
# perfdata_spool_dir = </path/to/directory/>
#

perfdata_spool_dir = @PERFDATA_SPOOL_DIR@


# Execute following command for each found file
# in 'perfdata_spool_dir'
#
# perfdata_file_run_cmd = </path/to/command>
# 
# Must be executable by user/group from above
#
# perfdata_file_run_cmd = </path/to/filename>
#

perfdata_file_run_cmd = @libexecdir@/@pp_pl_name@


# perfdata_file_run_cmd_args (optional) 
#
# If you wish, you can apply more arguments to the
# perfdata_file_run_cmd
#
# Hint:
# NPCD will create a command line like this:
# '<perfdata_file_run_cmd> <perfdata_file_run_cmd_args> <filename_from_spool_dir>'
#

perfdata_file_run_cmd_args = --bulk


# identify_npcd (optional)
#
# If set to one (by default) npcd will append
# '-n' to the perfdata_file_run_cmd
#
# identify_npcd = 0|1 (default: 1)

identify_npcd = 1


# npcd_max_threads - define how many parallel threads we 
# should start

npcd_max_threads = 5

# sleep_time - how many seconds npcd should wait between dirscans
#
# sleep_time = 15 (default)

sleep_time = 15


# EXPERIMENTAL
#
# load_threshold - npcd won't start new threads
# if your system load is above this threshold
#
# load_threshold = <float value> (default: 0.0)
#
# Hint: Do not use "," as decimal delimiter
#
# 07/15/2008: Every value above 0.0 will
#             enable this feature

load_threshold = 0.0


# location of your pid file

pid_file=/var/run/npcd.pid


#########################
#                       #
# NPCDMOD OPTIONS       #
#                       #
#########################


# perfdata_file - where should the npcdmod.o 
# write the performance data
#
# must not be within the same directory as
# perfdata_spool_dir
#
# perfdata_file = </path/to/file>
#

perfdata_file = @localstatedir@/perfdata.dump


# perfdata_spool_filename - declare the destination
# filename for the spooled files
#
# This option allows you a customized filename.
# Usefull if you own different nagios servers 
# which write their data to a shared storage.
#
# perfdata_spool_filename = <filename>
#
# Hint: 
# The final files will be moved to 
#  'perfdata_spool_dir/perfdata_spool_filename-TIMESTAMP'
#
# Example:
#
# perfdata_spool_filename = perfdata-NY
# perfdata_spool_filename = perfdata-LA

perfdata_spool_filename = perfdata

#
# perfdata_file_processing_interval
#
perfdata_file_processing_interval = 15

# We have to end with a newline

